Find All Runnable Offers
curl --request GET \
--url https://api.eflow.team/v1/affiliates/offersrunnable \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/affiliates/offersrunnable"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/affiliates/offersrunnable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offers": [
{
"network_offer_id": 123,
"network_id": 123,
"name": "<string>",
"offer_status": "<string>",
"currency_id": "<string>",
"visibility": "<string>",
"thumbnail_url": "<string>",
"html_description": "<string>",
"is_description_plain_text": true,
"preview_url": "<string>",
"tracking_url": "<string>",
"redirect_tracking_url": "<string>",
"impression_tracking_url": "<string>",
"network_category_id": 123,
"is_caps_enabled": true,
"caps_timezone_id": 123,
"daily_conversion_cap": 123,
"weekly_conversion_cap": 123,
"monthly_conversion_cap": 123,
"global_conversion_cap": 123,
"daily_click_cap": 123,
"weekly_click_cap": 123,
"monthly_click_cap": 123,
"global_click_cap": 123,
"daily_payout_cap": 123,
"weekly_payout_cap": 123,
"monthly_payout_cap": 123,
"global_payout_cap": 123,
"is_force_terms_and_conditions": true,
"is_using_explicit_terms_and_conditions": true,
"terms_and_conditions": "<string>",
"is_use_direct_linking": true,
"is_using_suppression_list": true,
"suppression_list_id": 123,
"network_tracking_domain_id": 123,
"app_identifier": "<string>",
"date_live_until": "<string>",
"time_created": 123,
"time_saved": 123,
"relationship": {
"offer_affiliate_status": "<string>",
"blocked_variables_count": 123,
"category": {
"network_category_id": 123,
"network_id": 123,
"name": "<string>",
"status": "<string>",
"time_created": 123,
"time_saved": 123
},
"channels": {
"entries": [
{
"network_channel_id": 123,
"network_id": 123,
"name": "<string>",
"status": "<string>",
"time_created": 123,
"time_saved": 123
}
],
"total": 123
},
"creative_bundle": {
"url": "<string>"
},
"creatives": {
"entries": [
{
"network_offer_creative_id": 123,
"network_offer_id": 123,
"network_id": 123,
"name": "<string>",
"creative_type": "<string>",
"creative_status": "<string>",
"resource_url": "<string>",
"html_code": "<string>",
"width": 123,
"height": 123,
"is_private": true,
"is_apply_specific_affiliates": true,
"additional_offer_ids": "<string>",
"email_from": "<string>",
"email_from_lines": "<string>",
"email_subject": "<string>",
"email_subject_lines": "<string>",
"time_created": 123,
"time_saved": 123
}
],
"total": 123
},
"custom_payout_settings": {
"entries": [
{}
],
"total": 123
},
"meta": {},
"payouts": {
"entries": [
{
"network_offer_payout_revenue_id": 123,
"network_custom_payout_revenue_setting_id": 123,
"entry_name": "<string>",
"payout_type": "<string>",
"payout_amount": 123,
"payout_percentage": 123,
"custom_payout_overwrite": true,
"is_default": true,
"is_enforce_caps": true,
"is_postback_disabled": true
}
],
"total": 123
},
"remaining_caps": {
"remaining_daily_click_cap": 123,
"remaining_daily_conversion_cap": 123,
"remaining_daily_payout_cap": 123
},
"reporting": {},
"requirement_kpis": {
"entries": [
{}
],
"total": 123
},
"requirement_tracking_parameters": {
"entries": [
{}
],
"total": 123
},
"ruleset": {},
"terms_conditions_acceptance": {},
"thumbnail_asset": {},
"urls": {
"entries": [
{
"network_offer_url_id": 123,
"network_offer_id": 123,
"network_id": 123,
"name": "<string>",
"preview_url": "<string>"
}
],
"total": 123
}
}
}
],
"paging": {
"page": 123,
"page_size": 123,
"total_count": 123
}
}Offers
List Runnable Offers
GET
/
affiliates
/
offersrunnable
Find All Runnable Offers
Returns offers the authenticated affiliate is authorized to run. This includes public offers and offers the affiliate has been approved for. Unlike the
/affiliates/alloffers endpoint, this only returns offers the affiliate can actively generate traffic for.
The response includes the full relationship object with category, creatives, reporting data, payout details, rulesets, URLs, channels, and remaining caps. Many relationship arrays use an {entries, total} wrapper instead of plain arrays.Authorizations
The affiliate's API key generated from the Affiliate Portal. Uses the X-Eflow-Api-Key header.
Query Parameters
Page number for pagination (1-based).
Number of results per page.
Search term to filter offers by name or ID.
Was this page helpful?
⌘I
